package com.ruoyi.approvalFlow.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审批流任务明细对象 audit_items
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public class AuditItems extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 单据编号
     */
    @Excel(name = "单据编号")
    private String billNo;

    /**
     * 业务id
     */
    @Excel(name = "业务id")
    private Long billId;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long actId;

    /**
     * 审核路径名
     */
    @Excel(name = "审核路径名")
    private Long pathId;

    /**
     * 审核级次1.2.3
     */
    @Excel(name = "审核级次1.2.3")
    private Long levelId;

    /**
     * 参考号
     */
    @Excel(name = "参考号")
    private String refno1;

    /**
     * 是否是最后一级审核（T是 F不是）
     */
    @Excel(name = "是否是最后一级审核", readConverterExp = "T=是,F=不是")
    private String iffinalItem;

    /**
     * 参考号2
     */
    @Excel(name = "参考号2")
    private String refno2;

    /**
     * 参考号3
     */
    @Excel(name = "参考号3")
    private String refno3;

    /**
     * 单位id
     */
    @Excel(name = "单位id")
    private Long branchId;

    /**
     * 请核人ID
     */
    @Excel(name = "请核人ID")
    private Long sendUserId;

    /**
     * 请核人姓名
     */
    @Excel(name = "请核人姓名")
    private String sendName;

    /**
     * 请核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "请核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /**
     * 请核备注
     */
    @Excel(name = "请核备注")
    private String sendMsg;

    /**
     * 审核人ID
     */
    @Excel(name = "审核人ID")
    private Long auditUserId;

    /**
     * 审核通过时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核通过时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditItem;

    /**
     * 审核通过时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditOpTime;

    /**
     * 审核意见
     */
    @Excel(name = "审核意见")
    private String auditMsg;

    /**
     * O提交、N未知状态、S待审、B审核退回、A审核通过
     */
    @Excel(name = "O提交、N未知状态、S待审、B审核退回、A审核通过")
    private String auditStatus;

    /**
     * 业务日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date billTime;

    /** 存储对应审批字段 */
    @Excel(name = "存储对应审批字段")
    private String fidStatus;

    /** 第几次提交审批 */
    @Excel(name = "第几次提交审批")
    private Long times;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillId(Long billId) {
        this.billId = billId;
    }

    public Long getBillId() {
        return billId;
    }

    public void setActId(Long actId) {
        this.actId = actId;
    }

    public Long getActId() {
        return actId;
    }

    public void setPathId(Long pathId) {
        this.pathId = pathId;
    }

    public Long getPathId() {
        return pathId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public Long getLevelId() {
        return levelId;
    }

    public void setRefno1(String refno1) {
        this.refno1 = refno1;
    }

    public String getRefno1() {
        return refno1;
    }

    public void setIffinalItem(String iffinalItem) {
        this.iffinalItem = iffinalItem;
    }

    public String getIffinalItem() {
        return iffinalItem;
    }

    public void setRefno2(String refno2) {
        this.refno2 = refno2;
    }

    public String getRefno2() {
        return refno2;
    }

    public void setRefno3(String refno3) {
        this.refno3 = refno3;
    }

    public String getRefno3() {
        return refno3;
    }

    public void setBranchId(Long branchId) {
        this.branchId = branchId;
    }

    public Long getBranchId() {
        return branchId;
    }

    public void setSendUserId(Long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public Long getSendUserId() {
        return sendUserId;
    }

    public void setSendName(String sendName) {
        this.sendName = sendName;
    }

    public String getSendName() {
        return sendName;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendMsg(String sendMsg) {
        this.sendMsg = sendMsg;
    }

    public String getSendMsg() {
        return sendMsg;
    }

    public void setAuditUserId(Long auditUserId) {
        this.auditUserId = auditUserId;
    }

    public Long getAuditUserId() {
        return auditUserId;
    }

    public void setAuditItem(Date auditItem) {
        this.auditItem = auditItem;
    }

    public Date getAuditItem() {
        return auditItem;
    }

    public Date getAuditOpTime() {
        return auditOpTime;
    }

    public void setAuditOpTime(Date auditOpTime) {
        this.auditOpTime = auditOpTime;
    }

    public void setAuditMsg(String auditMsg) {
        this.auditMsg = auditMsg;
    }

    public String getAuditMsg() {
        return auditMsg;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public Date getBillTime() {
        return billTime;
    }

    public void setBillTime(Date billTime) {
        this.billTime = billTime;
    }

    public String getFidStatus() {
        return fidStatus;
    }

    public void setFidStatus(String fidStatus) {
        this.fidStatus = fidStatus;
    }

    public Long getTimes() {
        return times;
    }

    public void setTimes(Long times) {
        this.times = times;
    }

    @Override
    public String toString() {
        return "AuditItems{" +
                "id=" + id +
                ", billNo='" + billNo + '\'' +
                ", billId=" + billId +
                ", actId=" + actId +
                ", pathId=" + pathId +
                ", levelId=" + levelId +
                ", refno1='" + refno1 + '\'' +
                ", iffinalItem='" + iffinalItem + '\'' +
                ", refno2='" + refno2 + '\'' +
                ", refno3='" + refno3 + '\'' +
                ", branchId=" + branchId +
                ", sendUserId=" + sendUserId +
                ", sendName='" + sendName + '\'' +
                ", sendTime=" + sendTime +
                ", sendMsg='" + sendMsg + '\'' +
                ", auditUserId=" + auditUserId +
                ", auditItem=" + auditItem +
                ", auditOpTime=" + auditOpTime +
                ", auditMsg='" + auditMsg + '\'' +
                ", auditStatus='" + auditStatus + '\'' +
                ", billTime=" + billTime +
                ", fidStatus='" + fidStatus + '\'' +
                ", times=" + times +
                '}';
    }
}
